<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/result_bg_img"
    android:orientation="vertical">

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <LinearLayout
        android:id="@+id/processingLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/progressTv"
                style="@style/TextViewFont_PopSemiBold"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/black"
                android:textSize="32sp" />

            <TextView
                style="@style/TextViewFont_PopSemiBold"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="%"
                android:textColor="@color/black"
                android:textSize="18sp" />

        </LinearLayout>

        <TextView
            style="@style/TextViewFont_PopMedium"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:text="@string/processing"
            android:textColor="@color/black"
            android:textSize="18sp" />

        <ProgressBar
            android:id="@+id/progressBar"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="24dp"
            android:layout_margin="32dp"
            android:indeterminate="true" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/statusLayout"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:gravity="center_vertical|end"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/backBtn"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:background="@drawable/dr_click_effect_oval_transparent"
            android:gravity="center">

            <ImageView
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/delete_cha_icon" />

        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <ImageView
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_marginTop="58dp"
            android:background="@drawable/drw_result_congratulations_bg"
            android:padding="10dp"
            android:src="@drawable/gou_white" />

        <TextView
            style="@style/TextViewFont_PopMedium"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="@string/congratulations"
            android:textColor="@color/text_color_lv1"
            android:textSize="20sp" />

        <TextView
            android:id="@+id/congratulationsDesc"
            style="@style/TextViewFont_PopMedium"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="16dp"
            android:layout_marginBottom="16dp"
            android:gravity="center"
            android:text="@string/file_created_success"
            android:textColor="@color/text_color_lv2"
            android:textSize="16sp" />

        <View
            android:layout_width="match_parent"
            android:layout_height="2dp"
            android:layout_margin="16dp"
            android:background="@drawable/dashed_line" />


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="150dp"
            android:layout_margin="16dp"
            tools:itemCount="3"
            tools:listitem="@layout/adapter_selected_result_item" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="24dp">

            <LinearLayout
                android:id="@+id/okBtn"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_weight="1"
                android:background="@drawable/dr_click_btn_bg"
                android:gravity="center">

                <TextView
                    android:id="@+id/okBtnTv"
                    style="@style/TextViewFont_PopSemiBold"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/open"
                    android:textColor="@color/white"
                    android:textSize="16sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/shareBtn"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginTop="20dp"
                android:layout_weight="1"
                android:background="@drawable/dr_cancel_btn_bg"
                android:gravity="center">

                <TextView
                    style="@style/TextViewFont_PopSemiBold"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/share_file"
                    android:textColor="@color/black_60"
                    android:textSize="16sp" />
            </LinearLayout>

        </LinearLayout>

    </LinearLayout>
</LinearLayout>
